/* BeaSTM Add-On (c) Thorbjörn Jemander */

#pragma export on
extern "C" 
{
bool Process( uint16 *argSourceData, uint16 *argDestinationData, uint32 XSize, uint32 YSize );
}
#pragma export reset

bool
Process( uint16 *argSourceData, uint16 *argDestinationData, uint32 argXSize, uint32 argYSize )
{
	uint32	x,
			y;
			
	if( argXSize != argYSize )
		return false;
	
	for( x=0; x<argXSize; x++ )
		for( y=0; y<argYSize; y++ )
			argDestinationData[ x + y*argXSize ] =  argSourceData[ y + x*argXSize ];

	return true;
}
